﻿@model PhotoPostViewModel
@using PhotoContest.Domain.ViewModels.PhotoViewModels
@{
    ViewData["Title"] = "Add new photo";
}
@{
    ViewData["Title"] = "Contest Page";
}

<div class="text-center">
    <h1 class="display-4">Welcome</h1>
    <p>Have a look at our contest project <a href="">where photo enthusiasts can partake</a>.</p>
</div>
<div class="container">
    <h3 class="display-4">Add new photo</h3>

    <hr />
    @if (ViewBag.IsSuccess == true)
    {
        <div class="alert alert-success alert-dismissible fade show" role="alert">
            <strong>Congratulations</strong> You have added a new photo successfully. <br />
            Click <a asp-controller="Photos" asp-action="Create" asp-route-id="@Model.ContestId">here</a> to view the details
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    }

    <form method="post" enctype="multipart/form-data" asp-action="Create" asp-controller="Photos" asp-route-contestId="@Model.ContestId ">
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>

        <div class="form-group">
            <label asp-for="Title" class="control-label"></label>
            <input asp-for="Title" class="form-control" />
            <span asp-validation-for="Title" class="text-danger"></span>
        </div>

        <div class="form-group">
            <label asp-for="Story" class="control-label"></label>
            <input asp-for="Story" class="form-control" />
            <span asp-validation-for="Story" class="text-danger"></span>
        </div>


        <div class="form-group">
            <label asp-for="PhotoFile" class="control-label"></label>
            <div class="custom-file">
                <input asp-for="PhotoFile" class="custom-file-input" id="customFile">
                <label class="custom-file-label" for="customFile">Choose file</label>
            </div>
            <span asp-validation-for="PhotoFile" class="text-danger"></span>
        </div>
        <div class="form-group">
            <input type="submit" value="Add photo" class="btn btn-primary" />
        </div>
    </form>
</div>